Subject: bug#41755: feature/native-comp (master?): temacs crash in GC during mark phase

From: Pip Cet <[email-masked]>
Date: Sun, 7 Jun 2020 20:18:09 +0000

On Sun, Jun 7, 2020 at 7:58 PM Nicolas Bértolo <[email-masked]> wrote:
> I can confirm that what I found was this issue.
>
> > Does it happen for non-optimized builds? Also, what symbol is at
> > Lisp_Object value 0xb4f0 (i.e. iQwhatever == 405)?
>
> I haven't been able to reproduce it in non-optimized builds.

But you still have last_marked in your build, right? That would be a
good starting point to find out which object was marked and what was
actually on the stack there...

> What I understand so far is that the GC begins marking the stack of the main
> thread and it takes some data in the stack as a pointer to valid Lisp data.

That's my understanding as well. In Andrea's case, it looks like
something was marked as though it were a symbol, but it was actually
pointing back to the stack...

> It
> starts following all the pointers and it eventually SIGSEGVs. I have seen it
> crash trying to read symbols, conses and strings.

Is it always a symbol that's found on the stack by mark_maybe_*, though?